{% layout none %}
<!doctype html>
<!--[if lt IE 8]><html class="no-js ie7" lang="en"> <![endif]-->
<!--[if IE 8]><html class="no-js ie8" lang="en"> <![endif]-->
<!--[if (gt IE 8)|!(IE)]><!--> <html class="no-js"> <!--<![endif]-->
<head>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
	<meta http-equiv="X-UA-Compatible" content="IE=edge"> 

	{% if settings.favicon %}
    <link rel="shortcut icon" href="{{ settings.favicon | img_url: '32x32' }}" type="image/png" />
  {% endif %}

	<title>{{ shop.name }}</title>

	<meta name="description" content="{{ 'gift_card.title' | t }}">

	<link rel="canonical" href="{{ canonical_url }}">

	{{ '//maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css' | stylesheet_tag }}
	{{ 'css_naked.scss.css' | asset_url | stylesheet_tag }}

	{{ content_for_header }}

</head>

<body class="template-password no-touch clearfix">

	{% section 'password_page' %}

	<div id="login-modal" class="mfp-hide">

		<h4>{{ 'password.login_form_heading' | t }}</h4>

		{% form 'storefront_password' %}
			<label for="password" class="hidden-label">{{ 'password.login_form_password_label' | t }}</label>
			<div class="password-input-group clearfix">
				<input type="password" name="password" id="password" placeholder="{{ 'password.login_form_password_placeholder' | t }}" autofocus>
				<input type="submit" name="commit" value="{{ 'password.login_form_submit' | t }}">
				{{ form.errors | default_errors }}
			</div>
		{% endform %}

		<p class="password-form-heading">{{ 'password.admin_link_html' | t }}</p>

	</div>

	{{ '//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js' | script_tag }}
	{{ 'js_plugins.min.js' | asset_url | script_tag }}

	<script>
		$(function() {
			$('.js-toggle-login-modal').magnificPopup({
				type: 'inline',
				mainClass: 'mfp-fade',
				closeOnBgClick: false,
				closeBtnInside: false,
				closeOnContentClick: false,
				removalDelay: 1,
				callbacks: {
					open: function() {
						window.setTimeout( function() { document.getElementById('password').focus(); }, 50 );
					},
					close: function() {
						window.setTimeout( function() { document.getElementById('email').focus(); }, 50 );
					}
				}
			});
			if ( $('.storefront-password-form .errors').size() ) {
				$('.js-toggle-login-modal').click();
			}
		});
	</script>

</body>
</html>